org.jboss.netty.handler.codec.marshalling

## Class ThreadLocalUnmarshallerProvider

- java.lang.Object
- - org.jboss.netty.handler.codec.marshalling.ThreadLocalUnmarshallerProvider

- All Implemented Interfaces:
    UnmarshallerProvider

      public class ThreadLocalUnmarshallerProvider
      extends Object
      implements UnmarshallerProvider

  `UnmarshallerProvider` implementation which use a `ThreadLocal` to store references to `Unmarshaller` instances. This may give you some performance boost if you need to unmarshall many small `Object`'s.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadLocalUnmarshallerProvider(org.jboss.marshalling.MarshallerFactory factory, org.jboss.marshalling.MarshallingConfiguration config)` Create a new instance of the `ThreadLocalUnmarshallerProvider`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.marshalling.Unmarshaller` | `getUnmarshaller(ChannelHandlerContext ctx)` Get the `Unmarshaller` for the given `ChannelHandlerContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadLocalUnmarshallerProvider

          public ThreadLocalUnmarshallerProvider(org.jboss.marshalling.MarshallerFactory factory,
                                         org.jboss.marshalling.MarshallingConfiguration config)

      Create a new instance of the `ThreadLocalUnmarshallerProvider`
      Parameters:
        `factory` - the `MarshallerFactory` to use to create `Unmarshaller`'s if needed
        `config` - the `MarshallingConfiguration` to use

  - ### Method Detail

    - #### getUnmarshaller

          public org.jboss.marshalling.Unmarshaller getUnmarshaller(ChannelHandlerContext ctx)
                                                             throws Exception

      Description copied from interface: `UnmarshallerProvider`
      Get the `Unmarshaller` for the given `ChannelHandlerContext`
      Specified by:
        `getUnmarshaller` in interface `UnmarshallerProvider`
      Throws:
        `Exception`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.